﻿@model TroskovnikNatjecaj

@{
    ViewBag.Title = "Novi troškovnik natječaja";
}

<h2>Unos novog troškovnika natječaja</h2>

<form asp-action="Create" method="post">
    <div asp-validation-summary="All"></div>
    <div class="form-group">
        <label asp-for="Naslov">Naslov</label>
        <div><span asp-validation-for="Naslov" class="text-danger"></span></div>
        <input asp-for="Naslov" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="Opis">Opis</label>
        <div><span asp-validation-for="Opis" class="text-danger"></span></div>
        <input asp-for="Opis" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="FkNatjecajEvBr">Natječaj</label>
        <div><span asp-validation-for="FkNatjecajEvBr" class="text-danger"></span></div>
        <select class="form-control" asp-for="FkNatjecajEvBr" asp-items="ViewBag.TrosNatj">
            <option selected value="" disabled>Odaberite natječaj</option>
        </select>
    </div>
    <div class="text-center">
        <button class="btn btn-primary" type="submit">Dodaj</button>
        <a asp-action="Index" class="btn btn-secondary">Odustani</a>
    </div>
</form>

@section styles{
    <link rel="stylesheet" href="~/lib/jqueryui/themes/base/jquery-ui.css" />
}

@section scripts{
    <script src="~/lib/jqueryui/jquery-ui.js"></script>
    <script src="~/js/autocomplete.js" asp-append-version="true"></script>
    <script src="~/js/troskovnik_natjecaj.js" asp-append-version="true"></script>
}